Skip to main content
GET
/
api
/
v1
/
automation
/
{automationId}
curl "https://your-collabase.ch/api/v1/automation/auto-abc123" \
  -H "Authorization: Bearer cba_live_..."
{
  "id": "auto-abc123",
  "name": "Notify on Test Failure",
  "isEnabled": true,
  "triggerType": "COLLABASE_EVENT",
  "triggerConfig": { "event": "collabase.test.caseResult.failed" },
  "flowGraph": {},
  "spaceId": "space-001"
}

Path parameters

automationId
string
required
The ID of the automation to retrieve.

Response

id
string
Automation ID.
name
string
Name.
description
string
Description.
isEnabled
boolean
Whether active.
triggerType
string
Trigger type.
triggerConfig
object
Trigger configuration.
flowGraph
object
Node graph definition.
spaceId
string
Owning space ID.
curl "https://your-collabase.ch/api/v1/automation/auto-abc123" \
  -H "Authorization: Bearer cba_live_..."
{
  "id": "auto-abc123",
  "name": "Notify on Test Failure",
  "isEnabled": true,
  "triggerType": "COLLABASE_EVENT",
  "triggerConfig": { "event": "collabase.test.caseResult.failed" },
  "flowGraph": {},
  "spaceId": "space-001"
}